import * as Knex from "knex";
export declare class Database {
    static getOptions(): {
        database: string;
        host: string;
        password: string;
        port: number;
        timezone: string;
        user: string;
    };
    static getKnexInstance(): Knex;
    static getDatabaseName(): string;
    static shutdown(): Promise<void>;
    private static instance;
    private static getInstance();
    private knex;
    private schema;
    private constructor();
    getOptions(): {
        database: string;
        host: string;
        password: string;
        port: number;
        timezone: string;
        user: string;
    };
    close(): Promise<void>;
    private init();
    private renderKnex();
}
